package com.jxml.quick.util.qdmlExpand;
import com.jxml.quick.model.qdml.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import java.util.*;
import com.jxml.quick.ocm.*;
import java.io.*;

/**
 * Extracts QDML data.
 */
public class QCText extends OCMpeerSupport
{
	/**
	 * User-provided code to perform the conversion.
	 */
	public void cvt(Object param)
		throws SAXException, IOException
	{
		QDMText dm=(QDMText)dataModel;
		Counter.SubCounter subCounter=(Counter.SubCounter)context;

		subCounter.addIDAttribute(this);
		addStringAttribute("label",dm.label);
		addStringAttribute("tag",dm.tag);
		addBooleanAttribute("wild",dm.wild);
		addStringAttribute("type",dm.type);
		addBooleanAttribute("generate",dm.generate);
		addBooleanAttribute("inline",dm.inline);
		addBooleanAttribute("trim",dm.trim);
		addBooleanAttribute("validInherited",false);

		startElement("text");

		doCvt(dm.remList,null);
		doCvt(dm.extendor,null);
		doCvt(dm.implementsList,null);
		doCvt(dm.getValidList(),null);

		endElement("text");
	}
}
